1. Search publishers (no key needed)
curl 'https://mediakit.uk/api/v1/agent-commerce/publishers?country=GB&service=guest_post&sort=price_asc&per_page=5'
2. Quote
curl -X POST 'https://mediakit.uk/api/v1/agent-commerce/quotes' -H 'Authorization: Bearer mk_live_…' -H 'Content-Type: application/json' -H 'Idempotency-Key: q-001' \
-d '{"service":"guest_post","niche":"general","publishers":["example-news.co.uk"]}'
3. Order
curl -X POST 'https://mediakit.uk/api/v1/agent-commerce/orders' -H 'Authorization: Bearer mk_live_…' -H 'Content-Type: application/json' -H 'Idempotency-Key: o-001' \
-d '{"quote_id":"q_…","payment":"invoice_link"}'
# 201: order with payment.pay_url for a person to pay — or 202: approval_required (the owner was e-mailed)
4. Send the article (guest posts)
curl -X POST 'https://mediakit.uk/api/v1/agent-commerce/content/submissions' -H 'Authorization: Bearer mk_live_…' -H 'Content-Type: application/json' \
-d '{"order_id":"MK-…","publisher":"example-news.co.uk","article":{"title":"…","body":"<p>…</p>","anchor_text":"…","target_url":"https://…"}}'
5. Track
curl 'https://mediakit.uk/api/v1/agent-commerce/orders/MK-…' -H 'Authorization: Bearer mk_live_…'
curl 'https://mediakit.uk/api/v1/agent-commerce/orders/MK-…/report?format=csv' -H 'Authorization: Bearer mk_live_…'